# Contribuyendo

Si deseas contribuir a este proyecto de traducción, tu ayuda es bienvenida. Contribuir es una excelente manera de aprender a proporcionar informes de errores constructivos y hacer solicitudes de extracción limpias y efectivas.

## Cómo hacer una solicitud de extracción limpia

* Crea una bifurcación de este repositorio presionando en el botón que se encuentra en la parte superior derecha.

* Clona la bifurcación en tu máquina local:

```
$ git clone https://git.disroot.org/tuxliban/Aprendiendo_Korn_Shell.git
```

* Para mantener actualizado tu repositorio bifurcado, agrega el repositorio original como un control remoto llamado *upstream*: 

```
$ git remote add upstream https://git.disroot.org/tuxliban/Aprendiendo_Korn_Shell.git
$ git pull --rebase upstream master
```

* Crea una nueva rama para trabajar. Trabajar desde la rama principal (*master*) puede causar problemas al actualizar las solicitudes de extracción y tener varios PR abiertos a la vez. Haz esto para crear una nueva rama:

```
$ git checkout -b <nombre de la nueva rama>
```

* Implementa/arregla los cambios que desees hacer. No olvides comentar tu código.

* Sigue el estilo de código del proyecto, incluida la sangría.

* Agrega o cambia la documentación según sea necesario.

* Añade los archivos modificados al *Index* utilizando el comando `<git add>`, seguido de la ruta y nombre del archivo que deseas añadir:

```
$ git add /path/archivo.extensión
```

> Solo se puede usar para archivos modificados o añadidos al repositorio.

* Realiza un *commit* describiendo los cambios realizados:

```
$ git commit -m <"mensaje con los detalles del cambio">
```

> Aplasta tus confirmaciones en una única confirmación con [rebase interactivo](https://help.github.com/articles/interactive-rebase) en caso de tener problemas con tu historial de git.

* Tus cambios están ahora en *HEAD* de tu copia local. Para enviar estos cambios a tu repositorio remoto, ejecuta:

```
$ git push origin <nombre de la rama>
```

* Desde tu bifurcación, abre una solicitud de extracción.

* En caso de que se soliciten más cambios, simplemente envíalos a la solicitud de extracción que ya tengas abierta. El PR se actualizará automáticamente.

> Abstente de cerrar temporalmente una solicitud de extracción. En su lugar, deja un comentario en el PR que describa lo que aún necesita trabajo, márcalo como borrador o agrega *WIP* al título del PR. Solo cierra la solicitud de extracción si estás seguro de que no deseaa que se incluyan sus cambios.

* Una vez que se aprueba y fusiona la solicitud de extracción, puedes eliminar la rama desde la cual realizaste los cambios:

```
$ git branch -D <nombre de la rama>
```
	
* Por último, pero no menos importante: escribe siempre tus mensajes de confirmación en tiempo presente. Tu mensaje de confirmación debe describir lo que la confirmación, cuando se aplica, hace al código, no lo que tú le hiciste al código.
